Index: trunk/Include/OAIdl.ab
===================================================================
--- trunk/Include/OAIdl.ab	(revision 300)
+++ trunk/Include/OAIdl.ab	(revision 303)
@@ -7,14 +7,12 @@
 
 '#ifndef COM_NO_WINDOWS_H
-#include <windows.sbp>
-#include <ole2.ab>
+#require <windows.sbp>
+#require <ole2.ab>
 '#endif /*COM_NO_WINDOWS_H*/
 
-#include <objidl.sbp>
+#require <objidl.sbp>
 
 #ifndef __IOleAutomationTypes_INTERFACE_DEFINED__
 #define __IOleAutomationTypes_INTERFACE_DEFINED__
-
-TypeDef SCODE = Long
 
 /* interface IOleAutomationTypes */
@@ -694,7 +692,7 @@
 Const Enum VARKIND
 	VAR_PERINSTANCE = 0
-	VAR_STATIC = VAR_PERINSTANCE + 1
-	VAR_CONST = VAR_STATIC + 1
-	VAR_DISPATCH = VAR_CONST + 1
+	VAR_STATIC = 1
+	VAR_CONST = 2
+	VAR_DISPATCH = 3
 End Enum
 
@@ -893,27 +891,20 @@
 	Function DeleteFuncDesc(
 		/* [in] */ index As DWord) As HRESULT
-
 	Function DeleteFuncDescByMemId(
 		/* [in] */ memid As *MEMBERID,
 		/* [in] */ invKind As *INVOKEKIND) As HRESULT
-
 	Function DeleteVarDesc(
 		/* [in] */ index As DWord) As HRESULT
-
 	Function DeleteVarDescByMemId(
 		/* [in] */ memid As *MEMBERID) As HRESULT
-
 	Function DeleteImplType(
 		/* [in] */ index As DWord) As HRESULT
-
 	Function SetCustData(
 		/* [in] */ ByRef guid As GUID,
 		/* [in] */ ByRef VarVal As VARIANT) As HRESULT
-
 	Function SetFuncCustData(
 		/* [in] */ index As DWord,
 		/* [in] */ ByRef guid As GUID,
 		/* [in] */ ByRef VarVal As VARIANT) As HRESULT
-
 	Function SetParamCustData(
 		/* [in] */ indexFunc As DWord,
@@ -921,28 +912,21 @@
 		/* [in] */ ByRef guid As GUID,
 		/* [in] */ ByRef VarVal As VARIANT) As HRESULT
-
 	Function SetVarCustData(
 		/* [in] */ index As DWord,
 		/* [in] */ ByRef guid As GUID,
 		/* [in] */ ByRef VarVal As VARIANT) As HRESULT
-
 	Function SetImplTypeCustData(
 		/* [in] */ index As DWord,
 		/* [in] */ ByRef guid As GUID,
 		/* [in] */ ByRef VarVal As VARIANT) As HRESULT
-
 	Function SetHelpStringContext(
 		/* [in] */ dwHelpStringContext As DWord) As HRESULT
-
 	Function SetFuncHelpStringContext(
 		/* [in] */ index As DWord,
 		/* [in] */ dwHelpStringContext As DWord) As HRESULT
-
 	Function SetVarHelpStringContext(
 		/* [in] */ index As DWord,
 		/* [in] */ dwHelpStringContext As DWord) As HRESULT
-
 	Function Invalidate() As HRESULT
-
 	Function SetName(
 		/* [in] */ szName As LPOLESTR) As HRESULT
@@ -959,5 +943,4 @@
 
 TypeDef LPCREATETYPELIB = /* [unique] */ *ICreateTypeLib
-
 
 Dim IID_ICreateTypeLib = [&h00020406, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -968,34 +951,24 @@
 		/* [in] */ szName As LPOLESTR,
 		/* [in] */ tkind As *TYPEKIND,
-		/* [out] */ ByRef pCTInfo As *ICreateTypeInfo) As HRESULT
-
+		/* [out] */ ByRef CTInfo As ICreateTypeInfo) As HRESULT
 	Function SetName(
 		/* [in] */ szName As LPOLESTR) As HRESULT
-
 	Function SetVersion(
 		/* [in] */ wMajorVerNum As Word,
 		/* [in] */ wMinorVerNum As Word) As HRESULT
-
 	Function SetGuid(
 		/* [in] */ ByRef guid As GUID) As HRESULT
-
 	Function SetDocString(
 		/* [in] */ szDoc As LPOLESTR) As HRESULT
-
 	Function SetHelpFileName(
 		/* [in] */ szHelpFileName As LPOLESTR) As HRESULT
-
 	Function SetHelpContext(
 		/* [in] */ dwHelpContext As DWord) As HRESULT
-
 	Function SetLcid(
 		/* [in] */ lcid As LCID) As HRESULT
-
 	Function SetLibFlags(
 		/* [in] */ uLibFlags As DWord) As HRESULT
-
 	Function SaveAllChanges() As HRESULT
 End Interface
-
 
 #endif 	/* __ICreateTypeLib_INTERFACE_DEFINED__ */
@@ -1017,15 +990,11 @@
 	Function DeleteTypeInfo(
 		/* [in] */ szName As LPOLESTR) As HRESULT
-
 	Function SetCustData(
 		/* [in] */ ByRef guid As GUID,
 		/* [in] */ ByRef VarVal As VARIANT) As HRESULT
-
 	Function SetHelpStringContext(
 		/* [in] */ dwHelpStringContext As DWord) As HRESULT
-
 	Function SetHelpStringDll(
 		/* [in] */ szFileName As LPOLESTR) As HRESULT
-
 End Interface
 
@@ -1182,16 +1151,12 @@
 	Function /* [local] */ GetTypeAttr(
 		/* [out] */ ByRef pTypeAttr As *TYPEATTR) As HRESULT
-
 	Function GetTypeComp(
-		/* [out] */ ByRef pTComp As *ITypeComp) As HRESULT
-
+		/* [out] */ ByRef TComp As ITypeComp) As HRESULT
 	Function /* [local] */ GetFuncDesc(
 		/* [in] */ index As DWord,
 		/* [out] */ ByRef pFuncDesc As *FUNCDESC) As HRESULT
-
 	Function /* [local] */ GetVarDesc(
 		/* [in] */ index As DWord,
 		/* [out] */ ByRef pVarDesc As *VARDESC) As HRESULT
-
 	Function /* [local] */ GetNames(
 		/* [in] */ memid As MEMBERID,
@@ -1199,18 +1164,14 @@
 		/* [in] */ cMaxNames As DWord,
 		/* [out] */ ByRef cNames As DWord) As HRESULT
-
 	Function GetRefTypeOfImplType(
 		/* [in] */ index As DWord,
 		/* [out] */ ByRef RefType As HREFTYPE) As HRESULT
-
 	Function GetImplTypeFlags(
 		/* [in] */ index As DWord,
 		/* [out] */ ByRef ImplTypeFlags As Long) As HRESULT
-
 	Function /* [local] */ GetIDsOfNames(
 		/* [size_is][in] */ rgszNames As *LPOLESTR,
 		/* [in] */ cNames As DWord,
 		/* [size_is][out] */ pMemId As *MEMBERID) As HRESULT
-
 	Function /* [local] */ Invoke(
 		/* [in] */ pvInstance As VoidPtr,
@@ -1221,5 +1182,4 @@
 		/* [out] */ ByRef ExcepInfo As EXCEPINFO,
 		/* [out] */ ByRef uArgErr As DWord) As HRESULT
-
 	Function /* [local] */ GetDocumentation(
 		/* [in] */ memid As MEMBERID,
@@ -1228,5 +1188,4 @@
 		/* [out] */ ByRef dwHelpContext As DWord,
 		/* [out] */ ByRef BstrHelpFile As BSTR) As HRESULT
-
 	Function /* [local] */ GetDllEntry(
 		/* [in] */ memid As MEMBERID,
@@ -1235,33 +1194,25 @@
 		/* [out] */ ByRef BstrName As BSTR,
 		/* [out] */ ByRef wOrdinal As Word) As HRESULT
-
 	Function GetRefTypeInfo(
 		/* [in] */ hRefType As HREFTYPE,
-		/* [out] */ ByRef pTInfo As *ITypeInfo) As HRESULT
-
+		/* [out] */ ByRef TInfo As ITypeInfo) As HRESULT
 	Function /* [local] */ AddressOfMember(
 		/* [in] */ memid As MEMBERID,
 		/* [in] */ invKind As INVOKEKIND,
 		/* [out] */ ByRef pv As VoidPtr) As HRESULT
-
 	Function /* [local] */ CreateInstance(
-		/* [in] */ pUnkOuter As *IUnknown,
+		/* [in] */ pUnkOuter As IUnknown,
 		/* [in] */ ByRef riid As IID,
 		/* [iid_is][out] */ ByRef pvObj As Any) As HRESULT
-
 	Function GetMops(
 		/* [in] */ memid As MEMBERID,
 		/* [out] */ ByRef BstrMops As BSTR) As HRESULT
-
 	Function /* [local] */ GetContainingTypeLib(
-		/* [out] */ ByRef pTLib As *ITypeLib,
+		/* [out] */ ByRef TLib As ITypeLib,
 		/* [out] */ ByRef Index As DWord) As HRESULT
-
 	Sub /* [local] */ ReleaseTypeAttr(
 		/* [in] */ pTypeAttr As *TYPEATTR)
-
 	Sub /* [local] */ ReleaseFuncDesc(
 		/* [in] */ pFuncDesc As *FUNCDESC)
-
 	Sub /* [local] */ ReleaseVarDesc(
 		/* [in] */ pVarDesc As *VARDESC)
@@ -1645,5 +1596,5 @@
 		/* [out] */ ByRef cbSize As DWord) As HRESULT
 	Function GetTypeInfo(
-		/* [out] */ ByRef pTypeInfo As *ITypeInfo) As HRESULT
+		/* [out] */ ByRef TypeInfo As ITypeInfo) As HRESULT
 	Function GetField(
 		/* [in] */ pvData As VoidPtr,
@@ -1656,10 +1607,10 @@
 		/* [out] */ ByRef pvDataCArray As VoidPtr) As HRESULT
 	Function PutField(
-  		/* [in] */ wFlags As DWord,
+		/* [in] */ wFlags As DWord,
 		/* [out][in] */ pvData As VoidPtr,
 		/* [in] */ szFieldName As LPCOLESTR,
 		/* [in] */ ByRef varField As VARIANT) As HRESULT
 	Function PutFieldNoCopy(
-  		/* [in] */ wFlags As DWord,
+		/* [in] */ wFlags As DWord,
 		/* [out][in] */ pvData As VoidPtr,
 		/* [in] */ szFieldName As LPCOLESTR,
@@ -1718,5 +1669,5 @@
 		/* [in] */ pszPropName As LPCOLESTR,
 		/* [out][in] */ ByRef Var As VARIANT,
-		/* [in] */ pErrorLog As *IErrorLog) As HRESULT
+		/* [in] */ ErrorLog As IErrorLog) As HRESULT
 
 	Function Write(
